= content_for :title do
  = 'Posts'

= link_to 'New Post', new_post_path, class: 'btn btn-primary my-2'

.p-3.bg-light

  = search_form_for @query do |f|
    = f.label :title_cont, "Title"
    = f.search_field :title_cont
    
    = f.label :aasm_state, "State"
    = f.select(:aasm_state_eq, options_for_select( %w[published archived], f.object.aasm_state_eq), { include_blank: true }, selected: nil)

    = f.submit

table.table.table-striped.table-hover.mb-5
  thead
    tr
      th{ scope: :col } #
      th{ scope: :col } Title
      th{ scope: :col } State
      th

  tbody
    - @posts.each_with_index do |post, i|
      tr
        th{ scope: :col } = i + 1
        td = post.title
        td = post.aasm.current_state
        td.d-flex
          .me-4 = link_to 'Show', post
          .me-4 = link_to 'Edit', edit_post_path(post)
          = link_to 'Destroy', post, data: { confirm: 'Are you sure?' }, method: :delete

= link_to 'New Post', new_post_path, class: 'btn btn-primary'
